package com.platform.vos;

import com.platform.entity.SysUserEntity;

import java.util.Date;

public class CurrentUserLoginVo extends SysUserEntity {
    private Long parentDeptId;
    private String deptName;
    private String parentDeptName;
    private Date deptExpirationDate;
    private String deptManagerPhoneNum;

    public Long getParentDeptId() {
        return parentDeptId;
    }

    public void setParentDeptId(Long parentDeptId) {
        this.parentDeptId = parentDeptId;
    }

    @Override
    public String getDeptName() {
        return deptName;
    }

    @Override
    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getParentDeptName() {
        return parentDeptName;
    }

    public void setParentDeptName(String parentDeptName) {
        this.parentDeptName = parentDeptName;
    }

    public Date getDeptExpirationDate() {
        return deptExpirationDate;
    }

    public void setDeptExpirationDate(Date deptExpirationDate) {
        this.deptExpirationDate = deptExpirationDate;
    }

    public String getDeptManagerPhoneNum() {
        return deptManagerPhoneNum;
    }

    public void setDeptManagerPhoneNum(String deptManagerPhoneNum) {
        this.deptManagerPhoneNum = deptManagerPhoneNum;
    }
}
